Message-ID: <41995F1E.1030704@bcgreen.com>
Date: Mon, 15 Nov 2004 17:59:58 -0800
From: "Stephen Samuel (leave the email alone)" <samnospam@bcgreen.com>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a4) Gecko/20040927
X-Accept-Language: en-us, en
MIME-Version: 1.0
CC:  debian-knoppix@linuxtag.org
Subject: Tested fix   Re: [debian-knoppix] Changing GTK Theme and Time zone
References: <415C0705.3000408@asianetindia.com> <415C24BE.6050004@bcgreen.com> <415CD2A5.7000408@asianetindia.com> <20040930202708.GA32045@linuxtag.org> <415D508B.4030905@asianetindia.com>
In-Reply-To: <415D508B.4030905@asianetindia.com>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

I now have a HD installed knoppix (my roommate's box), and
I've tested a fix to the timezone problem... essentially, it
knoppix-autoconfig doesn't do a final timezone determinatation
until AFTER it's messed with the hardware clock (oops).

Patch below:
The writing of the localtime file (probably) needs to wait until
after the root is remounted rw, but the determination can occur
earlier.

After this, it should work just fine with tz=America/Vancouver
on the boot line, in /boot/sysinit/sysinit.cfg
or in /etc/lilo.conf
  (depending on how you're booting)

==========================================================
--- knoppix-autoconfig	2004/11/23 07:23:43	1.1
+++ knoppix-autoconfig	2004/11/23 07:26:45
@@ -469,6 +469,8 @@
 checkbootparam utc >/dev/null 2>&1 && UTC="-u"
 checkbootparam gmt >/dev/null 2>&1 && UTC="-u"
 
+KTZ="$(getbootparam tz 2>/dev/null)"
+[ -f "/usr/share/zoneinfo/$KTZ" ] && TZ="$KTZ"
 # hwclock uses the TZ variable
 export TZ
 hwclock $UTC -s
@@ -504,8 +506,6 @@
 	(echo "$1" > /etc/sysconfig/progress) &
 }
 
-KTZ="$(getbootparam tz 2>/dev/null)"
-[ -f "/usr/share/zoneinfo/$KTZ" ] && TZ="$KTZ"
 rm -f /etc/localtime
 cp "/usr/share/zoneinfo/$TZ" /etc/localtime
 
=========================================================


Rajkumar S wrote:
> Hi,
> 
> Kester Habermann wrote:
> 
>> On Thu, Sep 30, 2004 at 11:44:37PM -0400, Rajkumar S wrote:
>>
>>> I am so sorry, I forgot one important info, mine is a hd installed 
>>> knoppix, and I am not running from CD.
>>>
>>> /me stands in the corner for 5 minutes :(
>>
>>
>>
>> try typing tzconfig as root.
> 
> 
> That's what I tried first, but it does not help :(
> 
> raj@swathi:~$ tzconfig
> Your current time zone is set to Asia/Calcutta
> Do you want to change that? [n]:
> Your time zone will not be changed
> 
> raj@swathi:~$ date
> Fri Oct  1 08:40:07 EDT 2004
> 
> raj
> 
> 
> ------------------------------------------------------------------------
> 
> This is the debian-knoppix mailinglist at linuxtag.org. Please use 
> www.linuxtag.org/wws/lists to maintain your account information.


-- 
Stephen Samuel +1(604)876-0426             samnospam@bcgreen.com
		   http://www.bcgreen.com/
    Powerful committed communication. Transformation touching
      the jewel within each person and bringing it to light.

